DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# NeighbourListToIndices

Get indices to neighbours

## SYNOPSIS

`#include "dip_neighbourlist.h"`

dip_Error dip_NeighbourListToIndices ( coords, stride, indices, resources )

## FUNCTION

This function translates the relative coordinates in `coords` into relative indices into an image with strides given by `stride`.

indices is allocated and tracked in `resources`.

## ARGUMENTS

Data type | Name | Description
`dip_CoordinateArray` | `coords` | Input neighbour coordinates
`dip_IntegerArray` | `stride` | Stride array
`dip_IntegerArray *` | `indices` | Output neighbour indices
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`NeighbourListMake`, `NeighbourListMakeChamfer`, `NeighbourListMakeImage`, `NeighbourListToIndices`, `NeighbourIndicesListMake`

DIPlib on-line documentation | Function reference | Global function index